## org.biojava.bio.seq.io.agave
Class AGAVEDbId

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEDbId

    public class AGAVEDbId

extends java.lang.Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEDbId()`

Method Summary
`java.lang.String` `getDbCode()`
`java.lang.String` `getId()`
`java.lang.String` `getVersion()`
`void` `setDbCode(java.lang.String code)`
`void` `setId(java.lang.String id)`
`void` `setVersion(java.lang.String version)`
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String indent, java.lang.String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEDbId

    public AGAVEDbId()

Method Detail

### getId

    public java.lang.String getId()

### getVersion

    public java.lang.String getVersion()

### getDbCode

    public java.lang.String getDbCode()

### setId

    public void setId(java.lang.String id)

### setVersion

    public void setVersion(java.lang.String version)

### setDbCode

    public void setDbCode(java.lang.String code)

### toString

    public java.lang.String toString(java.lang.String indent,
                                     java.lang.String indent_unit)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`